aboutsummaryrefslogtreecommitdiff
path: root/plugins/tpm/tests/expect_failed_plugin_download
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/tpm/tests/expect_failed_plugin_download')
-rwxr-xr-xplugins/tpm/tests/expect_failed_plugin_download36
1 files changed, 36 insertions, 0 deletions
diff --git a/plugins/tpm/tests/expect_failed_plugin_download b/plugins/tpm/tests/expect_failed_plugin_download
new file mode 100755
index 0000000..b970477
--- /dev/null
+++ b/plugins/tpm/tests/expect_failed_plugin_download
@@ -0,0 +1,36 @@
+#!/usr/bin/env expect
+
+# disables script output
+log_user 0
+
+spawn tmux
+
+# Waiting for tmux to attach. If this is not done, next command, `send` will
+# not work properly.
+sleep 1
+
+# this is tmux prefix + I
+send "I"
+
+# cloning might take a while
+set timeout 20
+
+expect_after {
+ timeout { exit 1 }
+}
+
+expect {
+ "Installing \"non-existing-plugin\""
+}
+
+expect {
+ "\"non-existing-plugin\" download fail"
+}
+
+expect {
+ "Done, press ENTER to continue" {
+ exit 0
+ }
+}
+
+exit 1